package org.diagbot.common.javabean;

import lombok.Getter;
import lombok.Setter;

/**
 * 触发规则
 * @author Mark Huang
 * @since 27/08/2019
 */
@Getter
@Setter
public class Rule {
    // 套餐名称
    private String set_name;
    // 指标名称
    private String idx_name;
    // 最小值操作符
    private String min_operator;
    // 最小值
    private String min_value;
    // 最小值单位
    private String min_unit;
    // 最大值操作符
    private String max_operator;
    // 最大值
    private String max_value;
    // 最大值单位
    private String max_unit;
    // 推送名称
    private String remind;

    public Rule() { }

    public Rule(String[] elements) {
//        Rule rule = new Rule();

        if (elements.length == 9) {
            this.set_name = elements[0];
            this.idx_name = elements[1];
            this.min_operator = elements[2];
            this.min_value = elements[3];
            this.min_unit = elements[4];
            this.max_operator = elements[5];
            this.max_value = elements[6];
            this.max_unit = elements[7];
            this.remind = elements[8];
        }
    }
}
